<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>moveleftright.html</title>
</head>

<body>
    <select name="left" id="left" style="height: 100px;" multiple>
        <option value="">item1</option>
        <option value="">item2</option>
        <option value="">item3</option>
        <option value="">item4</option>
        <option value="">item5</option>
    </select>
    <button id="lbtn">&gt;&gt;</button>
    <button id="rbtn">&lt;&lt;</button>
    <select name="right" id="right" style="height: 100px;" multiple>
        <option value="">item6</option>
        <option value="">item7</option>
        <option value="">item8</option>
        <option value="">item9</option>
        <option value="">item10</option>
    </select>
    <script>
        document.getElementById('lbtn').addEventListener('click', moveLeft);
        document.getElementById('rbtn').addEventListener('click', moveright);

        function moveLeft() {
            let right = document.getElementById('right');
            //selectedIndex => 내가 선택한 인덱스값.
            let LeftIdx = document.getElementById('left').selectedIndex;
            let letfOpts = document.querySelectorAll('#left option')[LeftIdx];
            right.append(letfOpts);
        }

        function moveright() {
            let left = document.getElementById('left');
            let RightIdx = document.getElementById('right').selectedIndex;
            let rightOpts = document.querySelectorAll('#right option')[RightIdx];
            left.append(rightOpts);
        }
    </script>
</body>

</html>